> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yapily.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Hosted Consent Request

> Used to get details of a hosted consent request



## OpenAPI

````yaml /openapi-converted.json get /hosted/consent-requests/{consentRequestId}
openapi: 3.0.1
info:
  description: >-
    The Yapily API enables connections between your application and users'
    banks. For more information check out our [documentation](/introduction).


    In particular, make sure to view our [Getting
    Started](/getting-started/get-started) steps if this is your first time
    here.


    While testing the API, our list of [sandbox
    credentials](/resources/sandbox/sandbox-credentials) maybe useful.
  title: Yapily API
  version: 12.3.4
  contact:
    name: Yapily Support
    url: https://docs.yapily.com/resources/support
    email: support@yapily.com
servers:
  - url: https://api.yapily.com
security:
  - basicAuth: []
tags:
  - description: >-
      The `Application` is the base entity that is used to interact with the API
      and contains a collection of `Institution` objects. You can have multiple
      Applications associated with your account e.g. a production application
      with live access to each `Institution` and a development application with
      access to sandboxes.
    name: Application
  - description: >-
      The Users endpoints are used to manage each user (otherwise known as the
      PSU) in Yapily. Each user belongs to an Application and as a consequence,
      so do each `Consent` created for a particular `User`.
    name: Users
  - description: >-
      An `Institution` object represents any Account Serving Payment Servicing
      Provider (ASPSP) that has been integrated and is accessible through the
      Yapily APIs (ASPSPs are entities that publish Read/Write APIs to permit,
      with customer consent, payments initiated by third party providers and/or
      make their customers financial data available to third party providers via
      their API endpoints).


      Any one of the following would be represented as Institution:


      - Traditional banks e.g. Santander

      - Neo-banks e.g. Monzo

      - Building societies e.g. Cumberland Building Society
    name: Institutions
  - description: >-
      The Consents endpoints are used to manage each `Consent` created by Yapily
      in response to an authorisation created for a user.


      The `Consent` object contains data that identifies a user's consent for a
      specific `Institution` within a Yapily application. Other than the id of
      the consent, the `institution-id` for the corresponding `Institution` and
      the user identifiers (`user-uuid` and `application-user-id`), it contains
      various details that indicates how the `Consent` can be used.
    name: Consents
  - description: >-
      Before calling [Financial Data](#yapily-api-financial-data) or
      [Payments](#yapily-api-payments) endpoints, a consent from an end-user
      must be obtained.


      Consents are valid for up to 90 days for Financial Data endpoints and have
      a single-use for Payment endpoints i.e. a new consent must be obtained for
      each payment.


      NOTE: A user consent is also referred to as an 'Authorisation'.
    name: Authorisations
  - description: >-
      In order to access a user's Financial Data, you are required to request an
      [Authorisation](#tag/Authorisations) from the user to share the account
      information the bank has. Once a `consent-token` is obtained, you can call
      the necessary Financial Data endpoint(s) to retrieve the user's data.
    name: Financial Data
  - description: >-
      In order to make a Payment on behalf of a user, you are required to
      request an [Authorisation](#tag/Authorisations) from the user to authorise
      the user's account to make the payment from. Once a `consent-token` is
      obtained, you can call the necessary Payments endpoint(s) to execute a
      payment.
    name: Payments
  - description: >+
      The Notifications endpoints provide an interactive way for user to receive
      notifications according to different event-types. This feature is
      currently in private beta. Please reach out if you require access. 

    name: Notifications
  - description: >-
      Variable Recurring Payments enables transfer of money between accounts
      held by the same person or transfer of money for business payments. 


      In order to make Sweeping Variable Recurring Payments on behalf of a user,
      you are required to request an [Consent](#tag/Authorisations) from the
      user by calling the Sweeping Consent endpoint to authorise the user's
      account to make the payment. Once a `consent-token` is obtained, you can
      call the Payments endpoint to execute the Sweeping Variable Recurring
      Payments transaction. Before executing the payment, you have the option to
      confirm availability of funds in the user's account by calling the Funds
      Confirmation endpoint. 


      See [VRP Payments](/payments/vrps/additional-information) for more
      information.
    name: Variable Recurring Payments
  - description: Hosted Payment Pages endpoints for payments products
    name: Hosted Payment Pages
  - description: Hosted Consent Pages endpoints for data products
    name: Hosted Consent Pages
  - description: >-
      The constraints endpoints can be used to retrieve institution specific
      data requirements and rules that will apply when performing other
      operations.
    name: Constraints
  - description: >-
      Application Management endpoints help with creating and managing client
      sub-applications.
    name: Application Management
  - description: 'Data Plus endpoints enable our customers to enrich transaction data. '
    name: Data Plus
  - description: Webhook endpoints
    name: Webhooks
  - description: Application Beneficiaries Endpoints
    name: Application Beneficiaries
  - description: User Beneficiaries Endpoints
    name: User Beneficiaries
paths:
  /hosted/consent-requests/{consentRequestId}:
    get:
      tags:
        - Hosted Consent Pages
      summary: Get Hosted Consent Request
      description: Used to get details of a hosted consent request
      operationId: getHostedConsentRequest
      parameters:
        - description: Unique Identifier of the consent request
          in: path
          name: consentRequestId
          required: true
          schema:
            type: string
        - $ref: '#/components/parameters/SubAppHeader'
      responses:
        '200':
          content:
            application/json;charset=UTF-8:
              examples:
                Get Hosted Consent Request Response:
                  $ref: '#/components/examples/get-hosted-consent-response'
              schema:
                $ref: '#/components/schemas/ApiResponseOfGetHostedConsentRequest'
          description: Ok
        '401':
          content:
            application/json;charset=UTF-8:
              examples:
                401 Error Response:
                  $ref: '#/components/examples/401-error-response'
              schema:
                $ref: '#/components/schemas/ApiResponseError'
          description: Unauthorized
        '404':
          content:
            application/json;charset=UTF-8:
              examples:
                404 Error Response:
                  $ref: '#/components/examples/404-error-response'
              schema:
                $ref: '#/components/schemas/ApiResponseError'
          description: Not Found
        '500':
          content:
            application/json;charset=UTF-8:
              examples:
                500 Error Response:
                  $ref: '#/components/examples/500-error-response'
              schema:
                $ref: '#/components/schemas/ApiResponseError'
          description: Unexpected Error
        default:
          content:
            application/json;charset=UTF-8:
              examples:
                Error Response:
                  $ref: '#/components/examples/error-response-code-401'
              schema:
                $ref: '#/components/schemas/ApiResponseError'
          description: Error Response
components:
  parameters:
    SubAppHeader:
      description: The sub-application ID to which event type is being subscribed to
      in: header
      name: sub-application
      required: false
      schema:
        type: string
        format: uuid
  examples:
    get-hosted-consent-response:
      description: Get Hosted Consent Request Response
      value:
        meta:
          tracingId: 2dbfd85b4f2940c6a206e96dd90e52d0
        data:
          consentRequestId: 507e515f-c22d-4bab-9801-606c94e7f749
          consentId: b22a1fe6-1e91-45b3-8ba0-6fdb1708e7bd
          userId: 3ddf5dd0-aa48-4d0f-baa7-fa057e9e911d
          applicationUserId: string
          applicationId: 64949de6-6510-4d70-9500-d4aa094c506c
          institutionIdentifiers:
            institutionId: modelo-sandbox
            institutionCountryCode: GB
          userSettings:
            language: en
            location: GB
          redirectUrl: https://tpp-application.com/
          createdAt: '2024-09-13T11:14:04.766Z'
          authorisationExpiresAt: '2024-10-10T11:36:54.887Z'
          status: AUTHORIZED
          phases:
            - phaseName: INITIATED
              phaseCreatedAt: '2024-09-11T16:19:59.707Z'
            - phaseName: INSTITUTION_SUBMITTED
              phaseCreatedAt: '2024-09-11T16:20:19.097Z'
            - phaseName: AUTHORISATION_INITIATED
              phaseCreatedAt: '2024-09-11T16:20:47.077Z'
            - phaseName: AUTHORISATION_CREATED
              phaseCreatedAt: '2024-09-11T16:20:48.212Z'
            - phaseName: CONSENT_POLLING_STARTED
              phaseCreatedAt: '2024-09-11T16:20:57.654Z'
            - phaseName: CONSENT_POLLING_ENDED
              phaseCreatedAt: '2024-09-11T16:20:58.288Z'
            - phaseName: AUTHORISED
              phaseCreatedAt: '2024-09-11T16:20:58.288Z'
            - phaseName: FINISHED
              phaseCreatedAt: '2024-09-11T16:20:58.288Z'
          consentToken: >-
            eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzUxMiJ9.eyJJTlNUSVRVVElPTiI6Im1vZGVsby1zYW5kYm94IiwiQ09OU0VOVCI6IjU2YTQyMjQ0LTQxNGEtNGI1Mi04YzRmLTRhZDJhNTBlODJmZSIsIkFQUExJQ0FUSU9OX1VTRVJfSUQiOiJtb2ZlLTIiLCJVU0VSIjoiY2E0MTJmZGYtNWEzMC00M2EyLTg4YjctNTk2NGEyNGE4ZTU1In0.gorwpnUjSr5dzQJLR32M2geWOj7yK9xMsZmq27ssY9xP_xGmWfUL_aqVHYyQ4r5KWw6Xb6RjvO839st8chJLtg
    401-error-response:
      description: 401 Error
      value:
        error:
          tracingId: 0c2d0973bdd24224a65e5d0f7d1b6154
          code: 401
          status: UNAUTHORIZED
          supportUrl: https://support.yapily.com/
          source: YAPILY
          issues:
            - type: CREDENTIALS
              code: 10700
              message: Authorization header invalid or credentials not authenticated
    404-error-response:
      description: 404 Error
      value:
        error:
          tracingId: 0c2d0973bdd24224a65e5d0f7d1b6154
          code: 404
          status: NOT FOUND
          supportUrl: https://support.yapily.com/
          source: YAPILY
          issues:
            - type: INVALID_REQUEST
              code: 10800
              message: Resource not found
    500-error-response:
      description: 500 Error
      value:
        error:
          tracingId: 0c2d0973bdd24224a65e5d0f7d1b6154
          code: 500
          status: INTERNAL SERVER ERROR
          supportUrl: https://support.yapily.com/
          source: YAPILY
          issues:
            - type: INTERNAL_SERVER_ERROR
              code: 11000
              message: Unexpected server error
    error-response-code-401:
      description: Error Response
      value:
        error:
          code: 401
          status: UNAUTHORIZED
          message: Full authentication is required to access this resource
  schemas:
    ApiResponseOfGetHostedConsentRequest:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/ResponseMeta'
        data:
          $ref: '#/components/schemas/HostedGetConsentRequestResponse'
    ApiResponseError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ApiError'
        raw:
          deprecated: true
          type: array
          items:
            $ref: '#/components/schemas/RawResponse'
      description: >-
        Used to return errors from the bank from each request


        - `400` - Returned by any `POST` endpoint when the body does not conform
        to the contract

        - `401` - Returned by any endpoint when an invalid `authToken` is used
        for authentication

        - `403` - Returned by any [Financial
        Data](/api-reference#financial-data) and any
        [Payments](/api-reference#payments) endpoint when the `Consent` is no
        longer authorised to access financial data or to make a payment

        - `404` - Returned by any endpoint where there are path parameters and
        the path parameters supplied are unable to find the desired resource

        - `409` - Returned by any `POST` endpoint when creating a resource that
        conflicts with any other existing resource e.g. [Create
        User](/api-reference/addUser)

        - `424` - Returned by any [Financial
        Data](/api-reference#financial-data) and any
        [Payments](/api-reference#payments) endpoint when the feature to be
        accessed is not supported by the `Institution`.

        - `500` - Returned by any endpoint when Yapily is down. If you encounter
        any false positives, please [notify us](mailto:support@yapily.com)
      example:
        error:
          tracingId: 74b13ce8ed51419f92c5d609e04532de
          code: 424
          institutionError:
            errorMessage: >-
              {"Code":"500 Internal Server
              Error","Id":"5ff8d331-4282-41e0-b5ef-1ac9ac39f009","Message":"Technical
              Error. Please try again
              later","Errors":[{"ErrorCode":"UK.OBIE.UnexpectedError","Message":"There
              was a problem processing your request. Please try again later"}]}
            httpStatusCode: 500
          source: INSTITUTION
          status: FAILED_DEPENDENCY
    ResponseMeta:
      type: object
      properties:
        tracingId:
          type: string
    HostedGetConsentRequestResponse:
      type: object
      properties:
        consentRequestId:
          type: string
          format: uuid
          description: Unique Id of the consent request.
        consentId:
          type: string
          format: uuid
          description: Identification of the consent.
        userId:
          type: string
          format: uuid
          description: Unique Id for the `User` assigned by Yapily.
        applicationUserId:
          type: string
          description: Your reference to the `User`.
        applicationId:
          type: string
          format: uuid
          description: Unique Id of the `Application` the user is associated with.
        institutionIdentifiers:
          $ref: '#/components/schemas/InstitutionIdentifiersResponse'
        userSettings:
          $ref: '#/components/schemas/UserSettings'
        redirectUrl:
          type: string
          description: >-
            URL of consent server to redirect the user after completion of the
            consent flow.
          example: https://tpp-application.com
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the payment was created.
        authorisationExpiresAt:
          type: string
          format: date-time
          description: The date and time at which the auth Token will expire.
        status:
          type: string
          description: >-
            Current status of the consent request. Allowed values are
            [AWAITING_AUTHORIZATION, AUTHORIZED, REJECTED, REVOKED, FAILED,
            EXPIRED, AWAITING_DECOUPLED_AUTHORIZATION]
        phases:
          description: The phase reached by the consent and its timestamp.
          type: array
          items:
            $ref: '#/components/schemas/HostedConsentPhase'
        consentToken:
          type: string
          description: >-
            Represents the authorisation to gain access to the requested
            features. Required to access account information.
    ApiError:
      type: object
      description: Provides details of the error that has occurred.
      properties:
        code:
          type: integer
          description: __Mandatory__. Numeric `HTTP` status code associated with the error.
          format: int32
        institutionError:
          $ref: '#/components/schemas/InstitutionError'
        message:
          type: string
          description: >-
            __Mandatory__. Description of the exact error that has been
            experienced.
        source:
          type: string
        status:
          type: string
          description: __Mandatory__. Textual description of the `HTTP` error status type.
        tracingId:
          type: string
          description: >-
            __Optional__.  A unique identifier assigned by Yapily for the
            request that can be used for support purposes.
    RawResponse:
      deprecated: true
      type: object
      description: >-
        [DEPRECATED] Interaction (raw request and response) that occurred with
        the `Institution` in order to fulfil a request.
      properties:
        request:
          $ref: '#/components/schemas/RawRequest'
        duration:
          type: string
          format: iso8601
        headers:
          type: object
          additionalProperties:
            type: string
        resultCode:
          type: integer
          format: int32
        result:
          type: object
    InstitutionIdentifiersResponse:
      description: Specifies the institution selected for making the payment.
      type: object
      properties:
        institutionId:
          type: string
          description: >-
            Yapily identifier which identifies the `Institution` the payment
            request is sent to.
        institutionCountryCode:
          type: string
          description: >-
            2 letter ISO Country code of the `Institution` the payment request
            is sent to.
          example: GB
    UserSettings:
      description: Specifies the language and location preferences of the user.
      type: object
      properties:
        language:
          type: string
          description: >-
            2 letter ISO Language code which denotes the language preference for
            the `User`.
          example: en
        location:
          type: string
          description: >-
            2 letter ISO Country code which denotes the location preference for
            the `User`.
          example: GB
    HostedConsentPhase:
      type: object
      properties:
        phaseName:
          type: string
          description: >-
            The name of the hosted consent process phase. Allowed values are : 


            - INITIATED - Process initiated

            - INSTITUTION_SUBMITTED - Consent institution submitted

            - AUTHORISATION_INITIATED - All details required for consent
            initiation have been collected

            - AUTHORISATION_CREATED - Consent authorisation request created with
            Institution, awaiting authorisation completion

            - AUTHORISATION_FAILED - Consent authorisation failed and will not
            proceed further

            - AUTHORISATION_REJECTED - Consent Authorisation request rejected by
            Institution and will not proceed further

            - DECOUPLED_AUTHORISATION - For embedded banks, decoupled
            authorisation was initiated by the bank

            - EMBEDDED_CREDENTIAL_REQUESTED - For embedded banks, a UI element
            to collect user credentials was displayed

            - EMBEDDED_CODE_REQUESTED - For embedded banks, a UI element to
            collect SCA for initiated consent was displayed

            - EMBEDDED_TYPE_REQUESTED - For embedded banks, a UI element to
            allow the user to select their preferred SCA method for this consent
            authorisation was displayed

            - EMBEDDED_CODE_COLLECTED - For embedded banks, SCA code was
            collected for consent authorisation

            - EMBEDDED_TYPE_SELECTED - For embedded banks, preferred SCA method
            was selected for consent authorisation

            - CONSENT_POLLING_STARTED - We start polling the bank for consent
            authorisation status

            - CONSENT_POLLING_ENDED - We finish polling the bank for consent
            authorisation status

            - AUTHORISED - Consent authorisation completed

            - FINISHED - Process finished
        phaseCreatedAt:
          type: string
          format: date-time
          description: >-
            The date and time at which the phase of the hosted Consent was
            created.
      description: The phase of the Consent Request.
    InstitutionError:
      type: object
      description: >-
        Raw error details provided by the `Institution`, when it was the error
        source.
      properties:
        errorMessage:
          type: string
          description: Textual description of the `Institution` error.
        httpStatusCode:
          type: integer
          description: Numeric HTTP status code associated with the `Institution` error.
          format: int32
    RawRequest:
      type: object
      properties:
        method:
          type: string
        url:
          type: string
        requestInstant:
          type: string
          format: date-time
        headers:
          type: object
          additionalProperties:
            type: string
        body:
          type: object
        bodyParameters:
          type: object
          additionalProperties:
            type: string
        startTime:
          type: string
          format: date-time
        startedAt:
          type: string
          format: date-time
          deprecated: true
  securitySchemes:
    basicAuth:
      description: >-
        Use HTTP Basic Authentication with your Application ID as username and
        Application Secret as password. Manage credentials in the [Yapily
        Console](https://console.yapily.com/). See
        [Authentication](/api-reference/authentication) for details.
      scheme: basic
      type: http

````